function main() {

var JS_pageItem, JS_convertRatio;
var JS_unitsPositionX, JS_unitsPositionY;
var JS_pointsDeltaX, JS_pointsDeltaY;
var JS_moveMatrix;

	if(app.documents.length) {

		if(app.activeDocument.selection.length) {
			
			switch(app.activeDocument.rulerUnits) {
		
				case RulerUnits.Points: JS_convertRatio = 1; break;
				case RulerUnits.Inches: JS_convertRatio = 0.013889; break;
				case RulerUnits.Millimeters: JS_convertRatio = 0.352778; break;
				case RulerUnits.Centimeters: JS_convertRatio = 0.035278; break;
				case RulerUnits.Picas: JS_convertRatio = 0.083333; break;
				case RulerUnits.Qs: JS_convertRatio = 0.020833; break;
				default : JS_convertRatio = 1; break;
			}

			for(var JS_indexI = 0; JS_indexI < app.activeDocument.selection.length; JS_indexI++) {
		
				JS_pageItem = app.activeDocument.selection[JS_indexI];
				
				JS_unitsPositionX = JS_convertRatio * JS_pageItem.position[0];
				JS_unitsPositionY = JS_convertRatio * JS_pageItem.position[1];
				
				JS_pointsDeltaX = (Math.floor(JS_unitsPositionX) - JS_unitsPositionX) / JS_convertRatio;
				JS_pointsDeltaY = (Math.floor(JS_unitsPositionY) - JS_unitsPositionY) / JS_convertRatio;
								
				JS_moveMatrix = app.getTranslationMatrix(JS_pointsDeltaX, JS_pointsDeltaY);
				JS_pageItem.transform(JS_moveMatrix);
			}
		}	
		else alert("Select any PageItems and try again...");
	}
	else alert("Open document and try again...");
}		

main();